org.wildfly.swarm.config.elytron

## Class LogicalPermissionMapper<T extends LogicalPermissionMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.LogicalPermissionMapper<T>

-     public class LogicalPermissionMapper<T extends LogicalPermissionMapper<T>>
      extends Object

  Definition of a logical permission mapper.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LogicalPermissionMapper.LogicalOperation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogicalPermissionMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `left()` Reference to the permission mapper to use to the left of the operation.
    `T` | `left(String value)` Reference to the permission mapper to use to the left of the operation.
    `LogicalPermissionMapper.LogicalOperation` | `logicalOperation()` The logical operation to use to combine the permission mappers.
    `T` | `logicalOperation(LogicalPermissionMapper.LogicalOperation value)` The logical operation to use to combine the permission mappers.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `right()` Reference to the permission mapper to use to the right of the operation.
    `T` | `right(String value)` Reference to the permission mapper to use to the right of the operation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogicalPermissionMapper

          public LogicalPermissionMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### left

          public String left()

      Reference to the permission mapper to use to the left of the operation.

    - #### left

          public T left(String value)

      Reference to the permission mapper to use to the left of the operation.

    - #### logicalOperation

          public LogicalPermissionMapper.LogicalOperation logicalOperation()

      The logical operation to use to combine the permission mappers.

    - #### logicalOperation

          public T logicalOperation(LogicalPermissionMapper.LogicalOperation value)

      The logical operation to use to combine the permission mappers.

    - #### right

          public String right()

      Reference to the permission mapper to use to the right of the operation.

    - #### right

          public T right(String value)

      Reference to the permission mapper to use to the right of the operation.

Copyright © 2018 JBoss by Red Hat. All rights reserved.